/*
 * tek-getwave: get waveforms from Tektronix MDO series oscilloscopes
 * Copyright © 2020 D Scott Guthridge <scott_guthridge@rompromity.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A11 PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "config.h"

#define _GNU_SOURCE	/* for declaration of vasprintf on Linux */

#ifndef HAVE_STRDUP	/* SVr4, 4.3BSD, POSIX.1-2001 */
extern char *_tek_getwave_strdup(const char *s);
#define strdup _tek_getwave_strdup
#endif /* HAVE_STRDUP */

#ifndef HAVE_VASPRINTF	/* GNU */
#include <stdarg.h>
extern int _tek_getwave_vasprintf(char **strp, const char *fmt, va_list ap);
#define vasprintf _tek_getwave_vasprintf
#endif /* HAVE_VASPRINTF */
